//
//  OCVObject.java
//  InfiniteCanvas
//
//  Created by Markus Mueller <markus@mindnode.com>.
//	http://www.infinitecanvas.com/
//  Copyright (c) 2003-2005 Markus Mueller. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
import java.awt.*;
import java.awt.geom.*;

public class OCVObject extends Object {
    String className;
	Rectangle2D.Float bounds;
    
    public OCVObject() {
        className = "OCVObject";
		bounds = new Rectangle2D.Float(0,0,0,0);
    }
    
    public boolean drawObject(Graphics2D g2, float fraction) {
        return false;
    }
    
    public String className() {
        return className;
    }
	
	public Rectangle2D.Float bounds() {
		return bounds;	
	}
	
	public void finishLoading(InfiniteCanvasApplet applet) {
		
	}
}
